Lists prospects for a project. Returns all prospects for the project, including those communicated a teaser.
Path Parameters
- Type: stringproject
Id requiredProject ID
Query Parameters
- Type: stringFormat: date-timeupdated
_since Filter prospects updated on or after this UTC timestamp (ISO 8601). Includes created, modified, and deleted prospects.
- Type: booleaninclude
_deleted Include deleted prospects in results
- Type: stringpage
_size Pattern: ^-?(?:0|[1-9]\d*)$Format: int32Number of prospects per page (1-500, default 500)
- Type: stringcursor
Opaque cursor token from previous response for pagination
- Type: stringcapability
Filter by capability: chat
- Type: stringclassification
Filter by classification: not_contacted, contacted, interested, not_interested, bidder
- Type: array string[]
Filter by tags (OR semantics). Repeat the query parameter to pass multiple tags.
Responses
- application/json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
Request Example for get/api/v1/projects/{projectId}/prospects
curl 'https://app.propstreet.com/api/v1/projects/{projectId}/prospects?updated_since=&include_deleted=false&page_size=&cursor=&capability=&classification=&tags=' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": [
{
"id": "string",
"uri": null,
"externalRefs": [
{
"namespace": "string",
"id": "string"
}
],
"projectId": "string",
"contactId": null,
"companyId": null,
"displayName": null,
"organizationName": null,
"classification": null,
"capabilities": [
"string"
],
"tags": [
"string"
],
"teaser": {
"acceptedUtc": null,
"deadlineUtc": null
},
"createdUtc": "2026-05-05T17:18:39.880Z",
"updatedUtc": "2026-05-05T17:18:39.880Z",
"deletedUtc": null,
"etag": "string",
"changeType": null,
"changeOrigin": null
}
],
"page": {
"nextCursor": null,
"pageSize": "string",
"hasMore": true
}
}